<template>
  
          
              <div class="card-body">
                <h4 class="card-title">Edit User</h4>
                <div class="card-center-block">
                  <hr>
                  <form class="form-sample">
                    <div class="form-group row">
                      <label class="col-sm-5 col-form-label">Profile Picture</label>
                      <div class="col-sm-7">
                        <div>
                          <div class="inner-image"></div>
                          <div class="upload-file">
                            <label>
                              <input type="text">
                            </label>
                            <a>
                              <i class="fa fa-camera" aria-hidden="true"/>
                            </a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="form-group row">
                      <label class="col-sm-5 col-form-label">First Name</label>
                      <div class="col-sm-7">
                        <input type="text" name="firstname" v-model="firstname">
                      </div>
                    </div>
                    <div class="form-group row">
                      <label class="col-sm-5 col-form-label">Last Name</label>
                      <div class="col-sm-7">
                        <input type="text" name="lastname" v-model="lastname">
                      </div>
                    </div>
                    <div class="form-group row">
                      <label class="col-sm-5 col-form-label">Mobile No.</label>
                      <div class="col-sm-7">
                        <input type="text" name="mobile" v-model="mobile">
                        <div class="error-block"></div>
                      </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                      <div class="button-group-container">
                        <button type="submit" class="btn btn-primary" @click.prevent="Submit">
                          <span>Submit</span>
                        </button>
                        <button type="button" class="btn btn-warning">Cancel</button>
                      </div>
                    </div>
                  </form>
                </div>
              </div>
</template>

<script>
import { mapGetters } from "vuex";

    export default {
      data() {
        return {
          _id: "",
          photo: "",
          firstname: "",
          lastname: "",
          mobile: "",
          username: "",
        }
      },
      computed:{
          ...mapGetters(["edituser"])
      },
      created(){
        let {_id,photo,firstname,lastname,mobile,username}=this.edituser;
        this._id=_id;
        this.photo = photo;
        this.firstname = firstname;
        this.lastname = lastname;
        this.mobile = mobile;
        this.username = username;
        },
      methods: {
        Submit() {
          let {_id,photo,firstname,lastname,mobile,username}=this;
          var userdata={
            uid:_id,
            username:username,
            firstname:firstname,
            lastname:lastname,
            mobile:mobile,
            photo:photo
          }
          this.$store.dispatch("EditedUser", userdata);
        }
      },
        
    }
</script>

<style scoped>

</style>